using System;
using Keyoti.SearchEngine.Documents;

namespace NewWordParser
{
	public class CustomParserProvider:ParserProvider
	{
		string tempFilePath;
		public CustomParserProvider(string tempFilePath){
			this.tempFilePath=tempFilePath;
		}

		public override Parser GetParser(string mimeType)
		{ 

			if(mimeType==null)return null;

			if(mimeType=="application/msword")

				return new CustomParser(tempFilePath); 

			else return base.GetParser(mimeType); 

		}


	}
}