using System;
using Keyoti.SearchEngine.Index;
using Keyoti.SearchEngine.Documents;
using Keyoti.SearchEngine.DataAccess;


namespace NewWordParser
{
	public class CustomDocumentIndex:DocumentIndex
	{
		string tempFilePath;
		public CustomDocumentIndex(string tempFilePath){
			this.tempFilePath = tempFilePath;
		}


		protected override Document CreateNewDocument(DocumentRecord documentRecord)
		{
			Document document = new Document(documentRecord);			
			document.ParserProvider = new CustomParserProvider(tempFilePath);			
			return document;
		}
	}
}


